# $Id: smeserver-ntop.spec,v 1.24 2009/05/26 09:48:21 vip-ire Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

Summary: Ntop integration in SME Server
%define name smeserver-ntop
Name: %{name}
%define version 0.1
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.gz

Patch0: smeserver-ntop-0.1-expand_hosts_allow.patch
Patch1: smeserver-ntop-0.1-templates_cleanup.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

BuildRequires: e-smith-devtools

Requires: ntop
Requires: e-smith-base
Requires: smeserver-mod_proxy_html


%description
This package contains all the needed scripts and templates
to run ntop on your SME Server

%changelog

* Tue Nov 16 2010 Daniel B. <daniel@firewall-services.com> 0.1-1
- initiale release

%prep

%setup -q -n %{name}-%{version}

%patch0 -p1
%patch1 -p1

%build
perl createlinks
%{__mkdir_p} root/var/log/ntop


%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --file /var/service/ntop/run 'attr(0755,root,root)' \
  --file /var/service/ntop/log/run 'attr(0755,root,root)' \
  --dir /var/log/ntop 'attr(0750,smelog,smelog)' \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%post

%preun
if [ $1 -eq 0 ] ; then
 /sbin/e-smith/db configuration setprop ntop status disabled
 sv d /service/ntop
fi

true

